from rocolib.api.components.Component import Component
from rocolib.api.Function import Function

c = Component()

c.addSubcomponent("drive", "MountedServo", inherit=True, prefix=None)
c.addSubcomponent("tire", "RegularNGon", inherit="radius", prefix=None)

c.addConstConstraint(("tire", "n"), 40)

c.inheritAllInterfaces("drive", prefix=None)
c.addConnection(("drive", "mount"),
                ("tire", "face"))

c.toLibrary("Wheel")
